Subject: Re: [PATCH] doc: remove manpage-base-url workaround

From: Todd Zullinger <[email-masked]>
Date: Tue, 21 Mar 2023 21:24:40 -0400

Felipe Contreras wrote:
> Commit 50d9bbba92 (Documentation: Avoid use of xmlto --stringparam,
> 2009-12-04) introduced manpage-base-url.xsl because ancient versions of
> xmlto did not have --stringparam.
> 
> However, that was more than ten years ago, no need for that complexity
> anymore, we can just use --stringparam.

Sounds good.  The issue at the time was with xmlto older
than ~ 0.20.  It was known that 0.18 didn't work, which
affected both openSUSE 11.2 and CentOS 5, as reported in
https://lore.kernel.org/git/[email-masked]/ and
the following messages).

I wish I'd have included the details on which xmlto versions
were affected in the commit message.  The project was
managed in SVN at the time and I can't (easily) find the
source older than it's import to git around 0.21.

Not that it's important.  It was already rather old versions
of xmlto which were affected -- in 2009.

Thanks,

-- 
Todd